                                                              {         07.12.98
TestSystemFolderList1.pas

The program do test the component SystemFolderList.pas.                        }



unit TestSystemFolderList1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, SystemFolderList, CommCtrl, Menus, ShellApi, StdCtrls;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Men1: TMenuItem;
    mnuCreateList: TMenuItem;
    mnuCancel: TMenuItem;
    StatusBar1: TStatusBar;
    PopupMenu1: TPopupMenu;
    mnuCheckStates: TMenuItem;
    mnuNotCheckStates: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure mnuCreateListClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    SystemFolderList1 : TSystemFolderList;
    ListBox1 : tListBox;
    procedure CreateSystemFileList;
    procedure CreateListBox;
  end;

var
  Form1: TForm1;


implementation

{$R *.DFM}




procedure TForm1.FormCreate(Sender: TObject);
Begin
  CreateSystemFileList;
  CreateListBox;
End;


procedure TForm1.mnuCreateListClick(Sender: TObject);
var
  list : tStringList;
  summe : integer;

begin
  ListBox1.items.clear;
  screen.cursor := crHourGlass;
  list := SystemFolderList1.ListCheckedFolder;
  ListBox1.items.AddStrings ( list );
  screen.cursor := crDefault;
  summe := ListBox1.items.count;
  StatusBar1.panels.items[1].text := ' SUM = ' + IntToStr ( summe );
end;


procedure tForm1.CreateSystemFileList;
Begin
  SystemFolderList1 := tSystemFolderList.create ( self );
  with SystemFolderList1 do
   begin
    parent := self;
    top := 10;
    left := 10;
    width := form1.width - 340;
    height := form1.height - 90;
    PopupMenu := PopupMenu1;
    StateBoxes := true;
   end;
   mnuNotCheckStates.checked := true;
End;


procedure tForm1.CreateListBox;
Begin
  ListBox1 := tListBox.create ( self );
  with ListBox1 do
   begin
    parent := self;
    top := 10;
    left := 260;
    width := form1.width - 280;
    height := form1.height - 90;
   end;
End;


END.
